@import "../fonts/Roboto_Condensed/style.css";
@import "../fonts/Font_Awesome_5/css/all.css";

$mainColor: #FF470A;

$mainFontColor: #5B5B5B;

$minWidth: 320px;
$maxWidth: 1920px;
$maxWidthContainer: 1200px;
$containerPadding: 30px; 

body {
	font-family: Roboto Condensed, sans-serif;
	color: $mainFontColor;
	font-size: 16px;
}

.need-api::after {
	content: "Need API";
	color: red!important;
	display: block;
	font-size: 11px;
}




/* HEADER  */
header {
	background: $mainColor;
	max-width: $maxWidthContainer;
	margin:  0 auto;
	padding: 5px 10px;

	display: flex;
	justify-content: space-between;
	align-items: center;

	.logo {
		img {
			width: 180px;
		}
	}

	.links-wrapper {
		display: flex;
		justify-content: space-between;
		.link {
			margin:  0 50px;

			a {
				color: #FFFFFF;
				text-decoration: none;
				text-transform: uppercase;
				font-weight: 700;
				font-size: 20px;
				padding: 5px 15px;
			}

			&.deposit-link {
				a {
					background: #FFFFFF;
					color: $mainColor;
					border-radius: 2px;

					&:hover {
						background: $mainColor;
						color: #FFFFFF;
						border: 1px solid #FFFFFF;
						padding: 4px 14px;
					}
				}
			}

			&.signout-link {
				a {
					&:hover {
						background: #FFFFFF;
						color: $mainColor;
					}
				}
			}
		}
	}
}

.main {
	max-width: 1220px;
	margin: 0 auto;
	display: flex;
	width: auto;
	padding: 5px 10px;

	.nav {
		margin-right: 40px;
		width: 295px;

		.list {
			width: 100%;

			.item {
				position:  relative;

				a {
					font-size: 25px;
					font-weight: 700;
					text-decoration: none;
					background: #9D9E9E;
					color: #FFFFFF;
					width: 255px;
					display: block;
					margin: 10px 0;
					padding: 5px 20px;

					&:hover {
						background: $mainColor;
					}

					&.active {
						background: $mainColor;
						&::after {
							content: '';
							position: absolute;
							right: -37px;
							top: 1.5px;
							border: 19px solid transparent;
						   	border-left-color: transparent;
						   	border-left-style: solid;
						   	border-left-width: 19px;
							border-left: 18px solid $mainColor;
						}
					}
				}

				&.has-sub-menu
				{
				 	a {
				 		&::after {
							content: '';
							position: absolute;
							right: 10px;
							top: 16px;
							border: 8px solid transparent;
					   		border-top-color: transparent;
					   		border-top-style: solid;
					   		border-top-width: 10px;
							border-top: 12px solid #FFFFFF;
						}
					}

					&.opened {
						a {
							&::after {
								transform: rotate(180deg);
								top: 7px;
							}
						}
						
					}
				}

				.sub-menu-wrapper {
					display: none;
					.sub-menu-item {
						a {
							background: #EBECEC;
							color: $mainFontColor;
							&:hover, &.active {
								color: $mainColor;
							}
						}

						&:first-child {
							a {
								margin-top: 0;
							}
						}
						&:last-child {
							a {
								margin-bottom: 0;
							}
						}

					}
				}

			}
		}
	}

	.content {
		padding-top: 20px;
		width: 75%;

		.block {
			display: flex;
			justify-content: space-between;
			margin: 10px 0;
			padding-bottom: 10px;

			&.bottom-bordered-block {
				border-bottom: 1px solid $mainFontColor;
			}

			.item {
				width: 30%;
				position: relative;

				&.tariffs-data {
					width: 65%;
					.block-content {
						.row {
							&.sub-description {
								margin-bottom: 15px;
								font-size: 16px;
							}

							&.tariff {
								.small {
									font-size: 16px;
								}
							}
						}
					}
				}

				.title {
					font-size: 1.25em;
					text-transform:  uppercase;
					font-weight: 700;
					margin-bottom: 5px;
					display: flex;
					align-items: center;
					justify-content: space-between;

					.title-action {
						background: #9D9E9E;
						color: #FFFFFF;
						font-weight: 700;
						font-size: 15px;
						text-transform: uppercase;
						padding:  5px 10px;
						text-decoration: none;

						&:hover {
							background: $mainColor;
						}
					}
				}

				.block-content {
					.action-link {
						a {
							background: #9D9E9E;
							color: #FFFFFF;
							font-weight: 700;
							font-size: 15px;
							text-transform: uppercase;
							padding:  5px 10px;
							text-decoration: none;

							&:hover {
								background: $mainColor;
							}
						}
					}

					.row {
						margin: 5px 0;
						font-size: 18px;
						&.sub-description {
							font-size: inherit;
						}
					}
				}

				&.user-data {
					width: 65%;
					.action-link {
						margin: 15px 0;
					}
				}
	
			}

			.deposit-link {
				margin-top: 15px;

				a {
					background: $mainColor;
					text-transform: uppercase;
					padding:  5px 0px;
					text-decoration: none;
					color: #FFFFFF;
					font-weight: 700;
					display: block;
					width: 100%;
					text-align: center;
					&:hover {
						color: $mainColor;
						background: #FFFFFF;
						border: 1px solid $mainColor;
						padding: 4px 0;
					}
				}
			}

			&.bottom-block {
				margin-top: 40px;
			}

			.form-wrapper {

				display: none;

				

				form {
					display: flex;
					flex-direction: column;

					input {
						border: none;
						padding: 10px;
						margin: 10px 0;

						width: auto;

						&[type=text] {
							border: 1px solid #9D9E9E;
							&:focus-visible {
								outline: none;
							}
						}
					}

					.form-bottom {

						button {
							padding: 5px 10px;
							background: #EBECEC;
							color: $mainColor;
							cursor: pointer;
							border: 1px solid #9D9E9E;
							font-weight: 700;
							margin-right: 20px;

							&:hover {
								color: #FFFFFF;
								background: $mainColor;
								border: 1px solid $mainColor;
							}
						}

/*
						input[type=submit], .cancel-button {
							width: 150px;
							color: $mainColor;
							text-transform: uppercase;
							font-weight: 700;
							cursor: pointer;
							background: #EBECEC;
							&:hover {
								color: #FFFFFF;
								background: $mainColor;
							}
						}

						.cancel-button {

							padding: 10px;
							margin: 10px 0;
							width: 150px;
							text-decoration: none;
							color: $mainColor;
							text-transform: uppercase;
							font-weight: 700;
							cursor: pointer;
							background: #EBECEC;
							&:hover {
								color: #FFFFFF;
								background: $mainColor;
							}

							
							
						}
						*/

					}



					
				}
			}


		}
	}
}

.floating-block {
	bottom: 30%;
   	position: fixed;
   	left: 10px;

   	.soc-but {
		display: block;
		width: 40px;
		height: 40px;
		border-radius: 50%;
		text-align: center;
		color: white;
		margin: 10px auto 0;
		box-shadow: 0px 5px 11px -2px rgba(0, 0, 0, 0.18), 0px 4px 12px -7px rgba(0, 0, 0, 0.15);
		cursor: pointer;
		-webkit-transition: all 0.1s ease-out;
		transition: all 0.1s ease-out;
		position: relative;
		background: #9D9E9E;

		i {
			font-size: 20px;
  			line-height: 42px;
  			transition: all 0.2s ease-in-out;
  			transition-delay: 2s;
		}

		&:hover,&.active {
			box-shadow: 0 0 4px rgba(0, 0, 0, 0.14), 0 4px 8px rgba(0, 0, 0, 0.28);
			background: $mainColor;
		}

		&.phone {
			transform: rotate(90deg);
		}
	}
}

#supportData {
	position:  absolute;
	font-size: 1.1em;
	margin-top: 15px;
	display: none;
	width:  250px;

	.title {
		font-size: 1.25em;
		text-transform: uppercase;
		font-weight: 700;
	}
	.phone-number {
		font-size: 1.25em;
		text-transform: uppercase;
		font-weight: 700;
		margin: 5px 0;
	}
	.button-wrapper {
		a {
			background: $mainColor;
			text-transform: uppercase;
			padding: 5px 0px;
			text-decoration: none;
			color: #FFFFFF;
			font-weight: 700;
			display: block;
			width: 65%;
			text-align: center;
			&:hover {
				color: $mainColor;
				background: #FFFFFF;
				border: 1px solid $mainColor;
				padding: 4px 0;
			}
		}
	}

}
#addressesData {
	position:  absolute;
	font-size: 1.1em;
	margin-top: 15px;
	display:  none;
	width: 200px;

	.title {
		font-size: 1.25em;
		text-transform: uppercase;
		font-weight: 700;
	}
	.address {
		margin: 5px 0;
	}
}

@media screen and (max-width: 1120px) {
	.main .content .block .item {
		width:  40%;
	}
}

@media screen and (max-width: 480px) {

	header {
		width: 100%;
		padding: 20px 0;
		flex-direction: column;
	}

	header .links-wrapper {
		width: 100%;
		margin-top: 20px;
	}

	header .links-wrapper .link {
		margin: 0 13px;
	}

	.main {
		flex-direction:  column;
	}

	.main .nav .list .item a {
		/*width: 100%;*/
		width:  auto;
		&:hover {
			background: #9D9E9E;
		}
	}

	.main .nav a.active::after {
		display:  none;
	}

	.main .nav {
		margin-right: 0;
		width: 100%;
	}

	.main .content {
		width: 100%;
		padding-top: 0;
	}

	.main .content .block {
		flex-direction: column;
		margin: 0;
		padding: 0 10px;
	}

	.main .content .block .item {
		width: 100%;
		border-bottom: 1px solid #5B5B5B;
		padding: 15px 0;
	}


	.main .content .bottom-bordered-block {
		border: none;
	}

	.floating-block {
		position: relative;
		display: none;
		justify-content: space-around;
		margin-top: 15px;
	}
}